//
//  StringMatch.m
//  SFS2X
//
//  Original development by Infosfer Game Technologies Ltd. | http://www.infosfer.com.
//
//  Maintained and developed by A51 Integrated.
//  Copyright 2012 A51 Integrated | http://a51integrated.com. All rights reserved.
//

#import "StringMatch.h"


@implementation StringMatch

static NSInteger TYPE_ID = 2;

@dynamic symbol;


-(id)initWithSymbol:(NSString *)symbol {
	
	if ((self = [super init])) {
		_symbol = symbol;
	}
	return self;
	
}

+(StringMatch *)stringMatchEquals {
	
	StringMatch *stringMatch = [[StringMatch alloc] initWithSymbol:@"=="];
	
	return stringMatch;
	
}

+(StringMatch *)stringMatchNotEquals {
	StringMatch *stringMatch = [[StringMatch alloc] initWithSymbol:@"!="];
	
	return stringMatch;
}

+(StringMatch *)stringMatchContains {
	StringMatch *stringMatch = [[StringMatch alloc] initWithSymbol:@"contains"];
	
	return stringMatch;
}

+(StringMatch *)stringMatchStartsWith {
	StringMatch *stringMatch = [[StringMatch alloc] initWithSymbol:@"startsWith"];
	
	return stringMatch;
}

+(StringMatch *)stringMatchEndsWith {
	StringMatch *stringMatch = [[StringMatch alloc] initWithSymbol:@"endsWith"];
	
	return stringMatch;
}

-(NSString *)symbol {
	return _symbol;
}

-(NSInteger)type {
	return TYPE_ID;
}



@end
